Subject: RE: US Gas Phy EPNG SoCal Topk 28-30Apr01 USD/MM
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 30 Apr 2001 07:54:46 -0700 (PDT)

Colin,

Great.  As we discussed, we'll need the final query to list all counterparties for each product with net quantities stated for each day (dates listed as column headings) of the current month.  Ideally, the query will be executed daily and posted in html or xls on the Gas Fundy website.  I understand that we do not yet have permission from EOL to hit their database regularly and that you will have someone else from your team finish out this task.  I'm available today to help any way I can.  Thanks.

Mat

 -----Original Message-----
From: 	Tonks, Colin  
Sent:	Friday, April 27, 2001 6:30 PM
To:	Smith, Matt
Cc:	Grigsby, Mike
Subject:	US Gas Phy       EPNG SoCal Topk         28-30Apr01      USD/MM

Matt, I think I cracked the query to give a counterparty based position of the SoCal product you requested. Can you (or Mike) varify the following numbers (COB 04/27/2001) ? I was unable at this point to net the volumes in one sweep .....

-Colin

Product: US Gas Phy       EPNG SoCal Topk         28-30Apr01      USD/MM

Reliant Energy Services, Inc.	B	2-Apr-01	30000	3	
Reliant Energy Services, Inc.	S	2-Apr-01	20000	2	
Reliant Energy Services, Inc.	B	3-Apr-01	90000	9	
Reliant Energy Services, Inc.	S	3-Apr-01	80000	8	
Reliant Energy Services, Inc.	S	4-Apr-01	30000	3	
Reliant Energy Services, Inc.	B	6-Apr-01	10000	1	
Reliant Energy Services, Inc.	S	9-Apr-01	130000	13	
Reliant Energy Services, Inc.	S	10-Apr-01	10000	1	
Reliant Energy Services, Inc.	B	16-Apr-01	10000	1	
Reliant Energy Services, Inc.	B	17-Apr-01	10000	1	
Reliant Energy Services, Inc.	B	20-Apr-01	30000	3	
Reliant Energy Services, Inc.	S	20-Apr-01	40000	4	
Reliant Energy Services, Inc.	B	23-Apr-01	30000	3	
Reliant Energy Services, Inc.	S	23-Apr-01	120000	12	
Reliant Energy Services, Inc.	S	24-Apr-01	120000	12	
Reliant Energy Services, Inc.	B	25-Apr-01	10000	1	
Reliant Energy Services, Inc.	S	25-Apr-01	60000	6	
Reliant Energy Services, Inc.	B	26-Apr-01	10000	1	
Reliant Energy Services, Inc.	S	27-Apr-01	140000	14	

SELECT EOL.TRADING_COUNTERPARTIES.COUNTERPARTY_NAME, EOL.TRADING_TRANSACTIONS.BUY_SELL_CD, trunc(EOL.TRADING_TRANSACTIONS.TRANSACTION_DTM), Sum (EOL.TRADING_TRANSACTIONS.TRANSACTION_QTY) AS NET_VOLUME, COUNT(*) AS NUM_TRANS FROM EOL.TRADING_COUNTERPARTIES, EOL.TRADING_TRANSACTIONS WHERE EOL.TRADING_COUNTERPARTIES.COUNTERPARTY_ID = EOL.TRADING_TRANSACTIONS.COUNTERPARTY_ID AND (EOL.TRADING_TRANSACTIONS.MARKET_PRODUCT_ID = 27762) GROUP BY trunc(EOL.TRADING_TRANSACTIONS.TRANSACTION_DTM), EOL.TRADING_COUNTERPARTIES.COUNTERPARTY_NAME, EOL.TRADING_TRANSACTIONS.BUY_SELL_CD HAVING (EOL.TRADING_COUNTERPARTIES.COUNTERPARTY_NAME LIKE 'Reliant%') AND (trunc(EOL.TRADING_TRANSACTIONS.TRANSACTION_DTM) >= { ts '2001-04-01 00:00:00' }) ORDER BY EOL.TRADING_COUNTERPARTIES.COUNTERPARTY_NAME,  EOL.TRADING_TRANSACTIONS.BUY_SELL_CD